Summary: The Ogg bitstream file format library
Name:		libogg
Version:	1.1.3
Release:	3%{?dist}
Epoch:		2
Group: System Environment/Libraries
License:      BSD
URL:		http://www.xiph.org/
Source:         http://downloads.xiph.org/releases/ogg/libogg-1.1.3.tar.gz
Patch0:		libogg-1.0-m4.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)	
%description
Libogg is a library for manipulating Ogg bitstream file formats.
Libogg supports both making Ogg bitstreams and getting packets from
Ogg bitstreams.

%package devel
Summary: Files needed for development using libogg
Group: Development/Libraries
Requires: libogg = %{epoch}:%{version}-%{release}
Requires: pkgconfig

%description devel
Libogg is a library used for manipulating Ogg bitstreams. The
libogg-devel package contains the header files and documentation
needed for development using libogg.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .m4 

%build
perl -p -i -e "s/-O20/$RPM_OPT_FLAGS/" configure
perl -p -i -e "s/-ffast-math//" configure
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%files
%defattr(-,root,root)
%doc AUTHORS CHANGES COPYING README
%{_libdir}/libogg.so.*

%files devel
%defattr(-,root,root)
%doc doc/*.html
%doc doc/*.txt
%doc doc/*.png
%doc doc/libogg
%dir %{_includedir}/ogg
%{_includedir}/ogg/ogg.h
%{_includedir}/ogg/os_types.h
%{_includedir}/ogg/config_types.h
%{_libdir}/libogg.so
%{_libdir}/pkgconfig/ogg.pc
%{_datadir}/aclocal/ogg.m4

%clean 
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Thu Feb  8 2007 Matthias Clasen <mclasen@redhat.com> - 2:1.1.3-3
- Package review cleanups
- Don't ship a static library

* Thu Aug 17 2006 Matthias Clasen <mclasen@redhat.com> - 2:1.1.3-2.fc6
- Fix 202280

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2:1.1.3-1.2.1
- rebuild

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2:1.1.3-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2:1.1.3-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 John (J5) Palmieri <johnp@redhat.com> 2:1.1.3-1
- Update to 1.1.3
- doc/ogg changed to doc/libogg

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Mar 02 2005 John (J5) Palmieri <johnp@redhat.com> 2:1.1.2-2
- rebuild for gcc 4.0

* Wed Sep 29 2004 Colin Walters <walters@redhat.com> 2:1.1.2-1
- Update to 1.1.2
- Delete upstreamed libogg-1.1-64bit.patch
- Delete upstreamed libogg-underquoted.patch

* Thu Jul 15 2004 Tim Waugh <twaugh@redhat.com> 2:1.1-4
- Fixed warnings in shipped m4 file.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Dec 11 2003 Bill Nottingham <notting@redhat.com> 2:1.1-1
- update to 1.1

* Sun Jun  8 2003 Tim Powers <timp@redhat.com> 2:1.0-5.1
- build for RHEL

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  3 2003 Jeff Johnson <jbj@redhat.com>
- add explicit epoch's where needed.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 11 2002 Bill Nottingham <notting@redhat.com> 2:1.0-3
- fix ogg.m4

* Fri Nov 29 2002 Tim Powers <timp@redhat.com> 2:1.0-2
- remove unpackaged files from the buildroot

* Fri Jul 18 2002 Bill Nottingham <notting@redhat.com> 1.0-1
- one-dot-oh

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jan  1 2002 Bill Nottingham <notting@redhat.com>
- update to 1.0rc3

* Mon Aug 13 2001 Bill Nottingham <notting@redhat.com>
- update to 1.0rc2

* Fri Jul  6 2001 Bill Nottingham <notting@redhat.com>
- own %%{_includedir}/ogg

* Tue Jun 19 2001 Bill Nottingham <notting@redhat.com>
- update to 1.0rc1

* Mon Feb 26 2001 Bill Nottingham <notting@redhat.com>
- fix license tag

* Mon Feb 26 2001 Bill Nottingham <notting@redhat.com>
- beta4

* Tue Feb  6 2001 Bill Nottingham <notting@redhat.com>
- update CVS in prep for beta4

* Thu Dec 27 2000 Bill Nottingham <notting@redhat.com>
- update CVS

* Tue Dec 11 2000 Bill Nottingham <notting@redhat.com>
- fix bogus group

* Fri Dec 01 2000 Bill Nottingham <notting@redhat.com>
- rebuild because of broken fileutils

* Mon Nov 13 2000 Bill Nottingham <notting@redhat.com>
- clean up specfile slightly

* Sat Sep 02 2000 Jack Moffitt <jack@icecast.org>
- initial spec file created
